# PetscViewerFileType

Indicates how the file should be opened for the viewer

### Synopsis

    typedef enum {PETSC_FILE_RDONLY,PETSC_FILE_WRONLY,PETSC_FILE_CREATE} PetscViewerFileType;

### See Also

PetscViewerSetFileName(), PetscViewerSetFileType(), PetscViewerBinaryOpen(), PetscViewerASCIIOpen(),
PetscViewerMatlabOpen()

Level:beginner
Location:src/sys/src/viewer/../../../../include/petscviewer.h
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages